Demo app Groceries not able to run


#1

I am getting following error when I run in IOS stimulator
Unable to apply changes on device: 52A36D2E-5599-4C61-BD13-882F609B2051. Error is: Command failed: ruby -e “require ‘xcodeproj’; Xcodeproj::Config.new(’/Users/tejal23/Groceries/platforms/ios/plugins-debug.xcconfig’).merge(Xcodeproj::Config.new(’/Users/my user/Groceries/app/App_Resources/iOS/build.xcconfig’)).save_as(Pathname.new(’/Users/my user/Groceries/platforms/ios/plugins-debug.xcconfig’))”
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in require': cannot load such file -- xcodeproj (LoadError) from /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:inrequire’
from -e:1:in `’

please help


#2

When you have these types of errors, it’s extremely beneficial to include what you have attempted to resolve your own problem.

  1. Did you Google the error code and try the solutions mentioned on 1 of the 32 GitHub links in regards to ruby/gem?
  2. Is your NativeScript version up to date globally?
  3. What happens when you run tns doctor?
  4. What version of xCode are you running?

Solving these entry level background work, saves everyone time to help solve your problem effectively.


#3

Thanks for reply

By running tns doctor command, i have success to run emulation. one step forward…

Thank you